Bug 891739 - Review Request: trac-CGit-plugin - Replace the trac browser by CGit
Summary: Review Request: trac-CGit-plugin - Replace the trac browser by CGit
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-03 20:32 UTC by Patrick Uiterwijk
Modified: 2013-02-12 20:23 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-02-03 13:44:46 UTC
kevin: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Patrick Uiterwijk 2013-01-03 20:32:15 UTC
Spec URL: http://puiterwijk.fedorapeople.org/packages/trac-CGit-plugin/trac-CGit-plugin.spec
SRPM URL: http://puiterwijk.fedorapeople.org/packages/trac-CGit-plugin/trac-CGit-plugin-1.0.5-1.fc17.src.rpm
Fedora Account System Username: puiterwijk

Description:
Replace the trac browser by cgit.

Configure the url in the cgit ini panel and TracCGit
will replace the trac source browser (provided you
have a working cgit installation setup).

Plain and simple.

Comment 1 Kevin Fenzi 2013-01-04 04:29:32 UTC
I'll try and review this tomorrow.

Comment 2 Kevin Fenzi 2013-01-04 19:17:13 UTC
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License GPLv2+
See below - License field in spec matches
See below - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
cc55fca4863298278a12e55382cdebaa8475e76c43b04e701ef7608831e1cb2f  v1.0.5.tar.gz
cc55fca4863298278a12e55382cdebaa8475e76c43b04e701ef7608831e1cb2f  v1.0.5.tar.gz.orig

OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 
OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
See below - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should function as described. 
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

1. From the headers in the source files, the license here should be
GPLv2+ ?

2. Include the LICENSE file as a %doc?

3. rpmlint says: 

trac-CGit-plugin.noarch: W: spelling-error %description -l en_US url -> URL, curl, purl
trac-CGit-plugin.noarch: W: spelling-error %description -l en_US ini -> uni, in, ii
trac-CGit-plugin.noarch: W: no-documentation
trac-CGit-plugin.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/cgit/web_ui.py 0644L /usr/bin/env

You could drop the /usr/bin/env line?

trac-CGit-plugin.src: W: spelling-error %description -l en_US url -> URL, curl, purl
trac-CGit-plugin.src: W: spelling-error %description -l en_US ini -> uni, in, ii
2 packages and 0 specfiles checked; 1 errors, 5 warnings.

The rest can be ignored. 

If you can fix those minor things before import, this is APPROVED.

Comment 3 Patrick Uiterwijk 2013-01-18 11:40:18 UTC
New Package SCM Request
=======================
Package Name: trac-CGit-plugin
Short Description: Replace the trac browser by CGit
Owners: puiterwijk
Branches: f17 f18 el5 el6
InitialCC:

Comment 4 Gwyn Ciesla 2013-01-18 11:57:41 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2013-01-24 08:44:25 UTC
trac-CGit-plugin-1.0.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/trac-CGit-plugin-1.0.5-1.fc17

Comment 6 Fedora Update System 2013-01-24 08:44:40 UTC
trac-CGit-plugin-1.0.5-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/trac-CGit-plugin-1.0.5-1.el6

Comment 7 Fedora Update System 2013-01-24 08:44:55 UTC
trac-CGit-plugin-1.0.5-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/trac-CGit-plugin-1.0.5-1.fc18

Comment 8 Fedora Update System 2013-01-25 02:47:15 UTC
trac-CGit-plugin-1.0.5-1.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 9 Fedora Update System 2013-02-03 13:44:48 UTC
trac-CGit-plugin-1.0.5-1.fc17 has been pushed to the Fedora 17 stable repository.

Comment 10 Fedora Update System 2013-02-03 13:46:08 UTC
trac-CGit-plugin-1.0.5-1.fc18 has been pushed to the Fedora 18 stable repository.

Comment 11 Fedora Update System 2013-02-12 20:23:15 UTC
trac-CGit-plugin-1.0.5-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.